#### 7.10.4.9 letplaceGBasis

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  letplaceGBasis(I); I an ideal/module

Return:
  ideal/module

Assume:
  basering is a Letterplace ring, input consists of Letterplace polynomials

Purpose:
  compute the two-sided Groebner basis of I via Letterplace algorithm (legacy routine)

Note:
  the degree bound for this computation is read off the letterplace structure of basering

Example:

    LIB "freegb.lib";
    ring r = 0,(x,y,z),Dp;
    int degree_bound = 5;
    def R = freeAlgebra(r, 5);
    setring R;
    ideal I = -x*y-7*y*y+3*x*x, x*y*x-y*x*y;
    ideal J = letplaceGBasis(I);
    J;
    ==> J[1]=3*x*x-x*y-7*y*y
    ==> J[2]=22*x*y*y-3*y*x*y-21*y*y*x+7*y*y*y
    ==> J[3]=3*x*y*x-22*x*y*y+21*y*y*x-7*y*y*y
    ==> J[4]=22803*y*y*y*x+19307*y*y*y*y
    ==> J[5]=1933*y*y*x*y+2751*y*y*y*x+161*y*y*y*y
    ==> J[6]=y*y*y*y*y

User manual for Singular version 4.4.1, 2025, generated by texi2html.